Package net.md_5.bungee.api.config

# Interface ConfigurationAdapter

public interface ConfigurationAdapter
This class allows plugins to set their own configuration adapter to load settings from a different place.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getBoolean(String path, boolean def)`
  Gets a boolean from the specified path.
  `Collection<String>`
  `getGroups(String player)`
  Get all groups this player is in.
  `int`
  `getInt(String path, int def)`
  Gets an integer from the specified path.
  `Collection<?>`
  `getList(String path, Collection<?> def)`
  Get a list from the specified path.
  `Collection<ListenerInfo>`
  `getListeners()`
  Get information about all hosts to bind the proxy to.
  `Collection<String>`
  `getPermissions(String group)`
  Get all permission corresponding to the specified group.
  `Map<String,ServerInfo>`
  `getServers()`
  Get the configuration all servers which may be accessible via the proxy.
  `String`
  `getString(String path, String def)`
  Gets a string from the specified path.
  `void`
  `load()`
  Reload all the possible values, and if necessary cache them for individual getting.

- ## Method Details

  - ### load

    void load()
    Reload all the possible values, and if necessary cache them for individual getting.

  - ### getInt

    int getInt(String path, int def)
    Gets an integer from the specified path.
    Parameters:
      `path` - the path to retrieve the integer from
      `def` - the default value
    Returns:
      the retrieved integer

  - ### getString

    String getString(String path, String def)
    Gets a string from the specified path.
    Parameters:
      `path` - the path to retrieve the string from.
      `def` - the default value
    Returns:
      the retrieved string

  - ### getBoolean

    boolean getBoolean(String path, boolean def)
    Gets a boolean from the specified path.
    Parameters:
      `path` - the path to retrieve the boolean form.
      `def` - the default value
    Returns:
      the retrieved boolean

  - ### getList

    Collection<?> getList(String path, Collection<?> def)
    Get a list from the specified path.
    Parameters:
      `path` - the path to retrieve the list form.
      `def` - the default value
    Returns:
      the retrieved list

  - ### getServers

    Map<String,ServerInfo> getServers()
    Get the configuration all servers which may be accessible via the proxy.
    Returns:
      all accessible servers, keyed by name

  - ### getListeners

    Collection<ListenerInfo> getListeners()
    Get information about all hosts to bind the proxy to.
    Returns:
      a list of all hosts to bind to

  - ### getGroups

    Collection<String> getGroups(String player)
    Get all groups this player is in.
    Parameters:
      `player` - the player to check
    Returns:
      all the player's groups.

  - ### getPermissions

    Collection<String> getPermissions(String group)
    Get all permission corresponding to the specified group. The result of this method may or may not be cached, depending on the implementation.
    Parameters:
      `group` - the group to check
    Returns:
      all true permissions for this group